import { NgRedux } from '@angular-redux/store';
import { JsonFormsBaseRenderer } from '@jsonforms/angular';
import { JsonFormsState, LabelElement, RankedTester } from '@jsonforms/core';
export declare class LabelRenderer extends JsonFormsBaseRenderer<LabelElement> {
    private ngRedux;
    label: string;
    visible: boolean;
    private subscription;
    constructor(ngRedux: NgRedux<JsonFormsState>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    mapAdditionalProps(): void;
}
export declare const LabelRendererTester: RankedTester;
